Skip to main content
GET
/
api
/
apps
/
marketplaceapplications
/
search

Authentication

This endpoint requires OAuth2 authentication. Include a valid bearer token in the Authorization header.

Query Parameters

marketplace_id
string
required
The unique id of your marketplace application
location_id
string
required
The unique id of a location
start_local
string (date)
required
The earliest date to show bookings for. The date and time are parsed in the local time of the passed in location.
duration_minutes
integer (int32)
The amount of minutes after the start_local time to show data for. Defaults to 60 minutes.

Response

Example Response
[
    {
        "resource": {
            "id": "dfb844cd-f791-4d21-afa9-3b68c20f81e3",
            "name": "RJ-45 Room",
            "description": "All you need to host your meetings and videoconferences. Equipped with: <br><ul> <li>Large TV</li> <li>10 Gb internet connection</li> <li>Conference phone</li> <li>Air-con, heating&nbsp;</li> <li>Natural light</li> </ul> <br> ",
            "unit_types": [
                "DedicatedDesk",
                "Other"
            ],
						"units": [
                {
                    "id": "7915c812-a12b-4e7c-bc94-a47055792fa4",
                    "name": "RJ-45 Desk 1"
                }
            ],
            "capacity": 15,
          	"bookable_up_to_capacity": false,
            "desk_capacity": 2,
            "resource_type": {
                "id": "Large Conference Rooms",
                "name": "Large Conference Rooms"
            },
          "time_slots": [
                {
                    "week_day": "Monday",
                    "from": {
                        "hour": 9,
                        "minute": 0
                    },
                    "until": {
                        "hour": 18,
                        "minute": 0
                    }
                },
                {
                    "week_day": "Tuesday",
                    "from": {
                        "hour": 9,
                        "minute": 0
                    },
                    "until": {
                        "hour": 18,
                        "minute": 0
                    }
                },
                {
                    "week_day": "Wednesday",
                    "from": {
                        "hour": 9,
                        "minute": 0
                    },
                    "until": {
                        "hour": 18,
                        "minute": 0
                    }
                },
                {
                    "week_day": "Thursday",
                    "from": {
                        "hour": 9,
                        "minute": 0
                    },
                    "until": {
                        "hour": 18,
                        "minute": 0
                    }
                },
                {
                    "week_day": "Friday",
                    "from": {
                        "hour": 9,
                        "minute": 0
                    },
                    "until": {
                        "hour": 18,
                        "minute": 0
                    }
                }
            ],
            "rates": [
                {
                    "id": "3099381d-c8dd-4994-b8fb-be1736b12b60",
                    "name": "Large Conference Rooms",
                    "description": "Large Conference Rooms",
                    "price": 175.00000,
                    "period": "Minutes",
                    "members_only": false,
                    "contacts_only": false,
                    "min_length_minutes": null,
                    "max_length_minutes": null,
                    "fixed_price": null,
                    "fixed_price_length_minutes": null
                }
            ],
            "features": {
                "standing_desk": false,
                "quiet_zone": false,
                "wireless_charger": false,
                "privacy_screen": false,
                "soundproof": false,
                "catering": false,
                "tea_and_coffee": false,
                "drinks": false,
                "projector": true,
                "internet": true,
                "standard_phone": false,
                "conference_phone": true,
                "whiteBoard": false,
                "large_display": true,
                "security_lock": false,
                "CCTV": false,
                "voice_recorder": false,
                "air_conditioning": false,
                "heating": false,
                "natural_lLight": false,
                "dual_display_screen": false,
                "display_screen": false,
                "wireless_presentation": false,
                "pa_system": false,
                "desktop_monitor": false,
                "flip_chart": false,
                "secure_storage": false
            },
            "group": null,
            "calendar_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/calendar?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=dfb844cd-f791-4d21-afa9-3b68c20f81e3",
            "available_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/available?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=dfb844cd-f791-4d21-afa9-3b68c20f81e3&start_local=2024-02-01T14:15&duration_minutes=60",
            "image_url": "https://xyz.spaces.nexudus.com/en/publicresources/getimage/103?w=600&h=600&anchor=middlecenter&cache=2024-01-24T17:20:53.0000000Z",
            "cancellation_policy": {
                "amount": null,
                "percent": null,
                "type": "0",
                "charges_fee": false,
                "cancellation_limit_minutes": null
            }
        },
        "available": true,
        "available_units": 1,
        "message": null,
        "error_code": null
    },
    {
        "resource": {
            "id": "3a65e5e6-44a6-476d-ab21-2116f367de47",
            "name": "HDMI Room",
            "description": "All you need to host your meetings and videoconferences. Equipped with: <br><ul> <li>Large TV</li> <li>10 Gb internet connection</li> <li>Conference phone</li> <li>Air-con, heating&nbsp;</li> <li>Natural light</li> </ul> <br> ",
            "unit_types": [
                "Other"
            ],
          	"desks": [],
            "capacity": 15,
            "desk_capacity": 1,
          	"bookable_up_to_capacity": false,
            "resource_type": {
                "id": "Large Conference Rooms",
                "name": "Large Conference Rooms"
            },
						"time_slots": [
                {
                    "week_day": "Monday",
                    "from": {
                        "hour": 9,
                        "minute": 0
                    },
                    "until": {
                        "hour": 18,
                        "minute": 0
                    }
                },
                {
                    "week_day": "Tuesday",
                    "from": {
                        "hour": 9,
                        "minute": 0
                    },
                    "until": {
                        "hour": 18,
                        "minute": 0
                    }
                },
            ],
            "rates": [
                {
                    "id": "3099381d-c8dd-4994-b8fb-be1736b12b60",
                    "name": "Large Conference Rooms",
                    "description": "Large Conference Rooms",
                    "price": 175.00000,
                    "period": "Minutes",
                    "members_only": false,
                    "contacts_only": false,
                    "min_length_minutes": null,
                    "max_length_minutes": null,
                    "fixed_price": null,
                    "fixed_price_length_minutes": null
                }
            ],
            "features": {
                "standing_desk": false,
                "quiet_zone": false,
                "wireless_charger": false,
                "privacy_screen": false,
                "soundproof": false,
                "catering": false,
                "tea_and_coffee": false,
                "drinks": false,
                "projector": true,
                "internet": true,
                "standard_phone": false,
                "conference_phone": true,
                "whiteBoard": false,
                "large_display": true,
                "security_lock": false,
                "CCTV": false,
                "voice_recorder": false,
                "air_conditioning": false,
                "heating": false,
                "natural_lLight": false,
                "dual_display_screen": false,
                "display_screen": false,
                "wireless_presentation": false,
                "pa_system": false,
                "desktop_monitor": false,
                "flip_chart": false,
                "secure_storage": false
            },
            "group": null,
            "calendar_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/calendar?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=3a65e5e6-44a6-476d-ab21-2116f367de47",
            "available_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/available?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=3a65e5e6-44a6-476d-ab21-2116f367de47&start_local=2024-02-01T14:15&duration_minutes=60",
            "image_url": "https://xyz.spaces.nexudus.com/en/publicresources/getimage/102?w=600&h=600&anchor=middlecenter&cache=2024-01-24T17:20:53.0000000Z",
            "cancellation_policy": {
                "amount": null,
                "percent": null,
                "type": "0",
                "charges_fee": false,
                "cancellation_limit_minutes": null
            }
        },
        "available": true,
        "available_units": 1,
        "message": null,
        "error_code": null
    },
    {
        "resource": {
            "id": "477e9962-5b46-417c-ac62-a808ff94db43",
            "name": "Nexudus Main Locker Group 1",
            "description": null,
            "unit_types": [
                "0"
            ],
            "capacity": null,
            "desk_capacity": 2,
            "resource_type": {
                "id": "Salto Lockers",
                "name": "Salto Lockers"
            },
            "rates": [],
						"time_slots": [
            ],
            "features": {
                "standing_desk": false,
                "quiet_zone": false,
                "wireless_charger": false,
                "privacy_screen": false,
                "soundproof": false,
                "catering": false,
                "tea_and_coffee": false,
                "drinks": false,
                "projector": false,
                "internet": false,
                "standard_phone": false,
                "conference_phone": false,
                "whiteBoard": false,
                "large_display": false,
                "security_lock": false,
                "CCTV": false,
                "voice_recorder": false,
                "air_conditioning": false,
                "heating": false,
                "natural_lLight": false,
                "dual_display_screen": false,
                "display_screen": false,
                "wireless_presentation": false,
                "pa_system": false,
                "desktop_monitor": false,
                "flip_chart": false,
                "secure_storage": false
            },
            "group": null,
            "calendar_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/calendar?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=477e9962-5b46-417c-ac62-a808ff94db43",
            "available_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/available?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=477e9962-5b46-417c-ac62-a808ff94db43&start_local=2024-02-01T14:15&duration_minutes=60",
            "image_url": "https://xyz.spaces.nexudus.com/en/publicresources/getimage/606?w=600&h=600&anchor=middlecenter&cache=2024-01-30T16:10:27.0000000Z",
            "cancellation_policy": {
                "amount": null,
                "percent": null,
                "type": "0",
                "charges_fee": false,
                "cancellation_limit_minutes": null
            }
        },
        "available": true,
        "available_units": 1,
        "message": null,
        "error_code": null
    },
    {
        "resource": {
            "id": "460768ae-df3e-455b-9305-3eb3cbd641c3",
            "name": "DVI Room",
            "description": "All you need to host your meetings and videoconferences. Equipped with: <br><ul> <li>Large TV</li> <li>10 Gb internet connection</li> <li>Conference phone</li> <li>Air-con, heating&nbsp;</li> <li>Natural light</li> </ul> <br>",
            "unit_types": [
                "DedicatedDesk"
            ],
            "capacity": 15,
            "desk_capacity": 1,
            "resource_type": {
                "id": "Large Conference Rooms",
                "name": "Large Conference Rooms"
            },
            "rates": [
                {
                    "id": "3099381d-c8dd-4994-b8fb-be1736b12b60",
                    "name": "Large Conference Rooms",
                    "description": "Large Conference Rooms",
                    "price": 175.00000,
                    "period": "Minutes",
                    "members_only": false,
                    "contacts_only": false,
                    "min_length_minutes": null,
                    "max_length_minutes": null,
                    "fixed_price": null,
                    "fixed_price_length_minutes": null
                }
            ],
            "features": {
                "standing_desk": true,
                "quiet_zone": true,
                "wireless_charger": true,
                "privacy_screen": true,
                "soundproof": true,
                "catering": true,
                "tea_and_coffee": true,
                "drinks": true,
                "projector": true,
                "internet": true,
                "standard_phone": true,
                "conference_phone": true,
                "whiteBoard": true,
                "large_display": true,
                "security_lock": true,
                "CCTV": true,
                "voice_recorder": true,
                "air_conditioning": true,
                "heating": true,
                "natural_lLight": true,
                "dual_display_screen": true,
                "display_screen": true,
                "wireless_presentation": true,
                "pa_system": true,
                "desktop_monitor": true,
                "flip_chart": true,
                "secure_storage": true
            },
            "group": null,
            "calendar_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/calendar?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=460768ae-df3e-455b-9305-3eb3cbd641c3",
            "available_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/available?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=460768ae-df3e-455b-9305-3eb3cbd641c3&start_local=2024-02-01T14:15&duration_minutes=60",
            "image_url": "https://xyz.spaces.nexudus.com/en/publicresources/getimage/101?w=600&h=600&anchor=middlecenter&cache=2024-01-24T17:20:53.0000000Z",
            "cancellation_policy": {
                "amount": null,
                "percent": 100.00000,
                "type": "Percentage",
                "charges_fee": true,
                "cancellation_limit_minutes": 60
            }
        },
        "available": false,
        "available_units": 1,
        "message": "This resource can only be booked 72.00000 hours in advance.",
        "error_code": "START_TIME_TOO_EARLY"
    },
    {
        "resource": {
            "id": "33178c6c-b17f-468e-9e26-c76886139014",
            "name": "USB Room",
            "description": "All you need to host your meetings and videoconferences. Equipped with: <br><ul> <li>Large TV</li> <li>10 Gb internet connection</li> <li>Conference phone</li> <li>Air-con, heating&nbsp;</li> <li>Natural light</li> </ul> <br> ",
            "unit_types": [],
            "capacity": 15,
            "desk_capacity": 0,
            "resource_type": {
                "id": "Small Conference Rooms",
                "name": "Small Conference Rooms"
            },
            "rates": [
                {
                    "id": "708d450a-9a19-4345-92c6-6a20fb68dd1d",
                    "name": "Small Conference Rooms",
                    "description": "Small Conference Rooms",
                    "price": 35.00000,
                    "period": "Minutes",
                    "members_only": false,
                    "contacts_only": false,
                    "min_length_minutes": null,
                    "max_length_minutes": null,
                    "fixed_price": null,
                    "fixed_price_length_minutes": null
                }
            ],
            "features": {
                "standing_desk": false,
                "quiet_zone": false,
                "wireless_charger": false,
                "privacy_screen": false,
                "soundproof": false,
                "catering": false,
                "tea_and_coffee": false,
                "drinks": false,
                "projector": true,
                "internet": true,
                "standard_phone": false,
                "conference_phone": true,
                "whiteBoard": false,
                "large_display": true,
                "security_lock": false,
                "CCTV": false,
                "voice_recorder": false,
                "air_conditioning": false,
                "heating": false,
                "natural_lLight": false,
                "dual_display_screen": false,
                "display_screen": false,
                "wireless_presentation": false,
                "pa_system": false,
                "desktop_monitor": false,
                "flip_chart": false,
                "secure_storage": false
            },
            "group": null,
            "calendar_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/calendar?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=33178c6c-b17f-468e-9e26-c76886139014",
            "available_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/available?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=33178c6c-b17f-468e-9e26-c76886139014&start_local=2024-02-01T14:15&duration_minutes=60",
            "image_url": "https://xyz.spaces.nexudus.com/en/publicresources/getimage/105?w=600&h=600&anchor=middlecenter&cache=2024-01-24T17:20:53.0000000Z",
            "cancellation_policy": {
                "amount": null,
                "percent": null,
                "type": "0",
                "charges_fee": false,
                "cancellation_limit_minutes": null
            }
        },
        "available": true,
        "available_units": 1,
        "message": null,
        "error_code": null
    },
    {
        "resource": {
            "id": "d0b7ea00-83bf-4a7a-90d6-65efdb50d89c",
            "name": "Router Room",
            "description": "All you need to host your meetings and videoconferences. Equipped with: <br><ul> <li>Large TV</li> <li>10 Gb internet connection</li> <li>Conference phone</li> <li>Air-con, heating&nbsp;</li> <li>Natural light</li> </ul> <br> ",
            "unit_types": [
                "Other"
            ],
            "capacity": 15,
            "desk_capacity": 1,
            "resource_type": {
                "id": "Small Conference Rooms",
                "name": "Small Conference Rooms"
            },
            "rates": [
                {
                    "id": "708d450a-9a19-4345-92c6-6a20fb68dd1d",
                    "name": "Small Conference Rooms",
                    "description": "Small Conference Rooms",
                    "price": 35.00000,
                    "period": "Minutes",
                    "members_only": false,
                    "contacts_only": false,
                    "min_length_minutes": null,
                    "max_length_minutes": null,
                    "fixed_price": null,
                    "fixed_price_length_minutes": null
                }
            ],
            "features": {
                "standing_desk": false,
                "quiet_zone": false,
                "wireless_charger": false,
                "privacy_screen": false,
                "soundproof": false,
                "catering": false,
                "tea_and_coffee": false,
                "drinks": false,
                "projector": true,
                "internet": true,
                "standard_phone": false,
                "conference_phone": true,
                "whiteBoard": false,
                "large_display": true,
                "security_lock": false,
                "CCTV": false,
                "voice_recorder": false,
                "air_conditioning": false,
                "heating": false,
                "natural_lLight": false,
                "dual_display_screen": false,
                "display_screen": false,
                "wireless_presentation": false,
                "pa_system": false,
                "desktop_monitor": false,
                "flip_chart": false,
                "secure_storage": false
            },
            "group": null,
            "calendar_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/calendar?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=d0b7ea00-83bf-4a7a-90d6-65efdb50d89c",
            "available_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/available?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=d0b7ea00-83bf-4a7a-90d6-65efdb50d89c&start_local=2024-02-01T14:15&duration_minutes=60",
            "image_url": "https://xyz.spaces.nexudus.com/en/publicresources/getimage/104?w=600&h=600&anchor=middlecenter&cache=2024-01-24T17:20:53.0000000Z",
            "cancellation_policy": {
                "amount": null,
                "percent": null,
                "type": "0",
                "charges_fee": false,
                "cancellation_limit_minutes": null
            }
        },
        "available": true,
        "available_units": 1,
        "message": null,
        "error_code": null
    },
    {
        "resource": {
            "id": "ec542a0f-030c-4c3a-bd3a-63f10e977906",
            "name": "VGA Room",
            "description": "All you need to host your meetings and videoconferences. Equipped with: <br><ul> <li>Large TV</li> <li>10 Gb internet connection</li> <li>Conference phone</li> <li>Air-con, heating&nbsp;</li> <li>Natural light</li> </ul> <br> ",
            "unit_types": [],
            "capacity": 15,
            "desk_capacity": 0,
            "resource_type": {
                "id": "Small Conference Rooms",
                "name": "Small Conference Rooms"
            },
            "rates": [
                {
                    "id": "708d450a-9a19-4345-92c6-6a20fb68dd1d",
                    "name": "Small Conference Rooms",
                    "description": "Small Conference Rooms",
                    "price": 35.00000,
                    "period": "Minutes",
                    "members_only": false,
                    "contacts_only": false,
                    "min_length_minutes": null,
                    "max_length_minutes": null,
                    "fixed_price": null,
                    "fixed_price_length_minutes": null
                }
            ],
            "features": {
                "standing_desk": false,
                "quiet_zone": false,
                "wireless_charger": false,
                "privacy_screen": false,
                "soundproof": false,
                "catering": false,
                "tea_and_coffee": false,
                "drinks": false,
                "projector": true,
                "internet": true,
                "standard_phone": false,
                "conference_phone": true,
                "whiteBoard": false,
                "large_display": true,
                "security_lock": false,
                "CCTV": false,
                "voice_recorder": false,
                "air_conditioning": false,
                "heating": false,
                "natural_lLight": false,
                "dual_display_screen": false,
                "display_screen": false,
                "wireless_presentation": false,
                "pa_system": false,
                "desktop_monitor": false,
                "flip_chart": false,
                "secure_storage": false
            },
            "group": null,
            "calendar_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/calendar?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=ec542a0f-030c-4c3a-bd3a-63f10e977906",
            "available_url": "https://xyz.spaces.nexudus.com/api/apps/marketplaceapplications/available?marketplace_id=78d4f2ac-e3a1-42ef-9158-b7df3c765ada&location_id=d4cb499b-ec2c-4208-ae9f-3699ed4e210e&resource_id=ec542a0f-030c-4c3a-bd3a-63f10e977906&start_local=2024-02-01T14:15&duration_minutes=60",
            "image_url": "https://xyz.spaces.nexudus.com/en/publicresources/getimage/106?w=600&h=600&anchor=middlecenter&cache=2024-01-24T17:20:53.0000000Z",
            "cancellation_policy": {
                "amount": null,
                "percent": null,
                "type": "0",
                "charges_fee": false,
                "cancellation_limit_minutes": null
            }
        },
        "available": true,
        "available_units": 1,
        "message": null,
        "error_code": null
    }
]

Example Request

curl -X GET \
  "https://spaces.nexudus.com/api/apps/marketplaceapplications/search" \
  -H "Authorization: Bearer YOUR_TOKEN"